Skip to main content

Update Sales Order Workflow

Update the workflow status of a sales order by its trace identifier.

Endpoint​

PUT /sales-orders/update-workflow/{{salesOrderTrace}}

Authentication​

X-API-Key (passed in the Authorization header)

Request Parameters​

Path Parameters​

ParameterTypeRequiredDescription
salesOrderTracestringYesThe trace identifier of the sales order whose workflow is to be updated.

Request Headers​

HeaderValueRequiredDescription
AuthorizationX-API-Key: {{apiKey}}YesX-API-Key for authentication.
Content-Typeapplication/jsonYesThe content type of the request body.

Example Request​

curl -X PUT "https://api.example.com/sales-orders/update-workflow/{{salesOrderTrace}}" \
-H "X-API-Key: {{apiKey}}" \
-H "Content-Type: application/json"

Request Schema​

No request body is required for this endpoint.